function signal = FadeIn(s, sf, fa)
% The function 'FadeIn(s, sf, fa)' attenuates the 
% first 'fa*sf' elements of the vector 's' linearly 
% from 0 to 1.
signal = s;
if fa > 0
    p = (0:1/sf:fa)/fa;
    if length(p)<=length(s)
        signal(1:length(p)) = p .* signal(1:length(p));
    else
        signal = p(1:length(s)) .* signal;
    end
elseif fa < 0
    disp('FadeIn Warning: fade-in time smaller than 0.  Nothing done!');
end
