function PlotPolygon(polygon, color, lineWidth)
% The function PlotPolygon plots a polygon with coordinates in the
% 2 x size(polygon, 2) matrix in the 'Color' color and with 
% 'LineWidth', lineWidth.
nrOfSides = size(polygon, 2);
for k = 2:nrOfSides
    plot([polygon(1,k) polygon(1,k-1)], ...
        [polygon(2,k) polygon(2,k-1)], ...
        'Color', color, 'LineWidth', lineWidth)
end
plot([polygon(1,1) polygon(1,nrOfSides)], ...
    [polygon(2,1) polygon(2,nrOfSides)], ...
    'Color', color, 'LineWidth', lineWidth)